Date::Simple::Fmt(3pm)

NAME
Date::Simple::Fmt - Sub class of Date::Simple with per object level formatting for overloaded stringification.

SYNOPSIS
    use Date::Simple::Fmt;

DESCRIPTION
This module changes the default stringification behaviour of Date::Simple objects to use the format() method instead. It also changes the behaviour of the constructor.

Date::Simple::Fmt->new (FMT, [ARG, ...])
date_fmt (FMT, [ARG, ...])
    Follows the same rules as for the equivelent method (new) and subroutine (date) in Date::Simple except that the first argument is expected to be the default format for the newly created object. It is this format that will be used when using overloaded stringification or when not providing a format argument to the format() method.

SEE ALSO
Date::Simple for full documentation.